For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
              • GETList Projects
              • POSTCreate a Project
              • DELDelete Projects
              • DELDelete a Project
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementInfrastructure HostingProjects

List Projects

Pre-release
GET
https://api.bigcommerce.com/stores/:store_hash/v3/infrastructure/projects
GET
/stores/:store_hash/v3/infrastructure/projects
$curl https://api.bigcommerce.com/stores/store_hash/v3/infrastructure/projects \
> -H "X-Auth-Token: <apiKey>"
200Response
1{
2 "data": [
3 {
4 "uuid": "019500e2-933d-7057-8e81-090dd7240795",
5 "name": "my-storefront",
6 "date_created": "2024-06-15T10:30:00Z",
7 "date_modified": "2024-06-16T14:22:00Z"
8 }
9 ],
10 "meta": {
11 "cursor_pagination": {
12 "count": 1,
13 "per_page": 50,
14 "start_cursor": "abc123",
15 "end_cursor": "def456",
16 "links": {
17 "previous": "?before=abc123",
18 "next": "?after=def456"
19 }
20 }
21 }
22}

Returns a list of infrastructure hosting projects for the store. Supports cursor-based pagination and filtering.

Was this page helpful?
Previous

Infrastructure Hosting

Next

Create a Project

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Infrastructure Deployments | read-only | `store_infrastructure_deployments_read_only` | | Infrastructure Deployments | create preview | `store_infrastructure_deployments_create_preview` | | Infrastructure Deployments | manage | `store_infrastructure_deployments_manage` | | Infrastructure Projects | read-only | `store_infrastructure_projects_read_only` | | Infrastructure Projects | manage | `store_infrastructure_projects_manage` | | Infrastructure Logs | read-only | `store_infrastructure_logs_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

limitintegerOptionalDefaults to 50
The number of results to return per page. Defaults to 50.
afterstringOptional
Cursor for forward pagination. Returns results after this cursor.
beforestringOptional
Cursor for backward pagination. Returns results before this cursor.
uuid:instringOptional

A comma-separated list of project UUIDs by which to filter. For example, ?uuid:in=uuid1,uuid2.

name:likestringOptional
Filter projects by name using a partial match.
date_created:mindatetimeOptional

Filter for projects created after this date. RFC 3339 format, for example 2024-01-01T00:00:00Z.

date_created:maxdatetimeOptional

Filter for projects created before this date. RFC 3339 format, for example 2024-12-31T23:59:59Z.

date_modified:mindatetimeOptional
Filter for projects modified after this date. RFC 3339 format.
date_modified:maxdatetimeOptional
Filter for projects modified before this date. RFC 3339 format.

Response

The request completed successfully.
datalist of objects
metaobject

Meta information including cursor-based pagination.

OAuth scopes

UI NamePermissionParameter
Infrastructure Deploymentsread-onlystore_infrastructure_deployments_read_only
Infrastructure Deploymentscreate previewstore_infrastructure_deployments_create_preview
Infrastructure Deploymentsmanagestore_infrastructure_deployments_manage
Infrastructure Projectsread-onlystore_infrastructure_projects_read_only
Infrastructure Projectsmanagestore_infrastructure_projects_manage
Infrastructure Logsread-onlystore_infrastructure_logs_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.